GNU Radio's CDMA Package

Public Member Functions | List of all members
gr::cdma::pac_err_cal_impl Class Reference

`#include <pac_err_cal_impl.h>`

Inheritance diagram for gr::cdma::pac_err_cal_impl:
[legend]

## Public Member Functions
| pac_err_cal_impl (unsigned long winsize, unsigned long cycsize, std::string pkt_num_tag)
| ~pac_err_cal_impl ()
void | set_winsize (unsigned long winsize)
void | set_cycsize (unsigned long cycsize)
void | set_pkt_num_tag (std::string pkt_num_tag)
virtual void | set_winsize (unsigned long k)=0
virtual void | set_cycsize (unsigned long t)=0
virtual void | set_pkt_num_tag (std::string str)=0

## Additional Inherited Members
Public Types inherited from gr::cdma::pac_err_cal
typedef boost::shared_ptr< pac_err_cal > | sptr
Static Public Member Functions inherited from gr::cdma::pac_err_cal
static sptr | make (unsigned long winsize, unsigned long cycsize, std::string pkt_num_tag)
| Return a shared_ptr to a new instance of cdma::pac_err_cal. More...

## Constructor & Destructor Documentation

## ◆ pac_err_cal_impl()

gr::cdma::pac_err_cal_impl::pac_err_cal_impl | ( | unsigned long | winsize,
|  | unsigned long | cycsize,
|  | std::string | pkt_num_tag
| ) |  |

## ◆ ~pac_err_cal_impl()

gr::cdma::pac_err_cal_impl::~pac_err_cal_impl | ( |  | ) |

## Member Function Documentation

## ◆ set_cycsize()

void gr::cdma::pac_err_cal_impl::set_cycsize | ( | unsigned long | cycsize | ) |
| inline virtual

Implements gr::cdma::pac_err_cal.

## ◆ set_pkt_num_tag()

void gr::cdma::pac_err_cal_impl::set_pkt_num_tag | ( | std::string | pkt_num_tag | ) |
| inline virtual

Implements gr::cdma::pac_err_cal.

## ◆ set_winsize()

void gr::cdma::pac_err_cal_impl::set_winsize | ( | unsigned long | winsize | ) |
| inline virtual

Implements gr::cdma::pac_err_cal.

The documentation for this class was generated from the following file:

- pac_err_cal_impl.h